#!/bin/bash
board=$(cat /etc/armbian-image-release | grep "BOARD=")
if [ "$board" == "BOARD=rb25f" ]; then
    # stop osdp
    echo "Stopping OSDP to do the uC upgrade" | tee -a /root/upgrade/upgrade.log
    systemctl stop osdp
    sleep 2
    echo "Doing the uC upgrade" | tee -a /root/upgrade/upgrade.log
    ./ucupgrade | tee -a /root/upgrade/upgrade.log
    last_ecode="$?"
    echo "Exit status after uC upgrade is" "$last_ecode" | tee -a /root/upgrade/upgrade.log
    exit $last_ecode
fi

exit 0
